Skip to main content
POST
/
rooms
/
{room_name}
/
dialOut
/
start
rooms/:name/dialOut/start
curl --request POST \
  --url https://api.daily.co/v1/rooms/{room_name}/dialOut/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sipUri": "<string>",
  "phoneNumber": "<string>",
  "extension": "<string>",
  "waitBeforeExtensionDialSec": 0,
  "displayName": "<string>",
  "userId": "<string>",
  "callerId": "<string>",
  "video": true,
  "videoSettings": {
    "width": 1280,
    "height": 720,
    "fps": 15,
    "videoBitrate": 900
  },
  "codecs": {
    "audio": [
      [
        "OPUS",
        "G722",
        "PCMU",
        "PCMA"
      ]
    ],
    "video": [
      [
        "H264",
        "VP8"
      ]
    ]
  }
}
'
{
  "ok": "true",
  "sessionId": "UUID of the dial-out session"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Body

application/json
sipUri
string

sipUri to call. uri should start with sip:. Query parameters appended to the sipUri will appear as SIP Headers in the INTIVE message at the remote SIP endpoint. Headers must start with "X-", e.g. to append a header "myexampleHeader" it is appended to sipUri as "sip:<dialout_sip_uri>?X-header-1=val-1&X-header-2=val-2".

phoneNumber
string

phone number to call. number must start with country code e.g +1

extension
string

the extension to dial after dialed number is connected. e.g. 1234

waitBeforeExtensionDialSec
integer
default:0

number of seconds to wait before dialing the extension, once dialed number is connected.

Required range: 0 <= x <= 60
displayName
string

The sipUri or The phone participant is shown with this name in the web UI.

userId
string

userId to assign to the participant. default userId is null.

callerId
string

determine the phone number used for outbound call (i.e. phone number displayed on the called phone). purchased phone

video
boolean

Enable SIP video in the room, only available for sipUri.

videoSettings
object

Video encoding settings. Only applicable when video is true.

codecs
object

Specify the codecs to use for dial-out.

Response

200